HP Views Designer Assistant: InkScreenController Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Private Slots | List of all members
InkScreenController Class Reference

The InkScreenController class. More...

`#include <inkscreencontroller.h>`

Inheritance diagram for InkScreenController:

## Public Member Functions

| InkScreenController (InkScreen *view)
| InkScreenController constructor. More...
void | heightView ()
| heightView Gets the screen height and sets it into the ink model.
void | widthView ()
| widthView Gets the screen width and sets it into the ink model.
void | checkMenuSize ()
| checkMenuSize Checks the number of elements and if it is correct, sets the value into the ink model.
void | textProperty ()
| textProperty Gets ink screen option sets it into the ink model.
void | inkColor (int btnPosition)
| inkColor Gets the selected color and sets it into the ink model. More...
void | setModel (Interfaz *ink)
| setModel Sets the ink model. More...
void | finish ()
| finish Finish the edition and shows the preview of the QML interface.
Public Member Functions inherited from Controller
| Controller ()
| Controller constructor.
void | on_homeBtn_clicked (bool ask=true)
| on_homeBtn_clicked. More...
void | on_settingsBtn_clicked ()
| on_settingsBtn_clicked.
void | on_helpBtn_clicked (QString path, QPoint position)
| on_helpBtn_clicked. More...

## Private Slots

void | selectedIcon ()
| selectedIcon

## Additional Inherited Members

Protected Member Functions inherited from Controller
bool | confirmExit ()
| confirmExit ask the user for exit confirmation. More...
void | showPreview (QString path)
| showPreview show graphic preview of QML file. More...
QString | getLongSavePath ()
| getLongSavePath ask the user the location to save the file. More...
void | switchToOptionsView ()
| switchToOptionsView change the current view to the secondary view.
Protected Attributes inherited from Controller
View * | generalView
| generalView primary view.
View * | optionsView
| optionsView secondary view.
Interfaz * | interfaz
| interfaz interface.

## Detailed Description

The InkScreenController class.

## Constructor & Destructor Documentation

## ◆ InkScreenController()

InkScreenController::InkScreenController | ( | InkScreen * | view | ) |

InkScreenController constructor.

Parameters

  view | Ink screen view.

## Member Function Documentation

## ◆ inkColor()

void InkScreenController::inkColor | ( | int | btnPosition | ) |

inkColor Gets the selected color and sets it into the ink model.

Parameters

  btnPosition | Position of the last clicked color selector icon.

## ◆ setModel()

void InkScreenController::setModel | ( | Interfaz * | ink | ) |

setModel Sets the ink model.

Parameters

  ink | Interface model.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/Controller/inkscreencontroller.h
- D:/Documentos/ViewDesignerAssistant/Controller/inkscreencontroller.cpp